{pkgs, ...}: {
  imports = [
    ./shell/helix
    ./shell/zellij
    ./shell/zsh.nix
    ./shell/starship.nix
    ./shell/eza.nix
    ./shell/hyfetch.nix
  ];
  home = {
    username = "lillian";
    homeDirectory = "/home/lillian";
  };

  catppuccin = {
    enable = true;
    flavor = "macchiato";
  };

  home.packages = with pkgs; [
    # System tools:
    vscode-langservers-extracted
    sops
    zsh
    bat
    btop
    broot
    lazygit
    navi
    nil
  ];
  programs.navi.enable = true;
  programs.yazi = {
    enable = true;
    package = pkgs.yazi.override {
      _7zz = pkgs._7zz.override {useUasm = true;};
    };
  };
}
